Subject: Re: bug#9571: 24.0.50; user option to turn off bidi, please

From: Jason Rumney <[email-masked]>
Date: Sat, 24 Sep 2011 11:56:05 +0800

Richard Stallman <[email-masked]> writes:

>     "Figure out what's really present" is sufficiently vague that I don't
>     know what is the right way to address this need.  find-file-literally is
>     at least as likely to be effective, and in many more cases.
>
> find-file-literally disables character set decoding.  That means you'd
> have to manually figure out how the bytes correspond to the characters
> of the file, or else give a command to decode it.
>
> If the confusion has to do with bidi, the feature you want for
> understanding it is to turn off bidi and nothing else.  It has to be
> easy to do, so why NOT do it?

If you can read the relevant scripts, then bidi is not going to confuse
you. If you cannot read the scripts, then turning off bidi is not really
going to help (probably find-file-literally would be a better option in
this case).